- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
efreet_utils.h File Reference

Contains utility functions to ease usage of Efreet. More...

## Functions
const char * | efreet_util_path_to_file_id (const char *path)
| Returns the fdo file id for a given path. More...
Eina_List * | efreet_util_desktop_mime_list (const char *mime)
| Find all desktops for a given mime type. More...
Efreet_Desktop * | efreet_util_desktop_wm_class_find (const char *wmname, const char *wmclass)
| Find all desktops for a given wm class. More...
Efreet_Desktop * | efreet_util_desktop_file_id_find (const char *file_id)
| Find a desktop by file id. More...
Efreet_Desktop * | efreet_util_desktop_exec_find (const char *exec)
| Find a desktop by exec. More...
Efreet_Desktop * | efreet_util_desktop_name_find (const char *name)
| Find a desktop by name. More...
Efreet_Desktop * | efreet_util_desktop_generic_name_find (const char *generic_name)
| Find a desktop by generic name. More...
Eina_List * | efreet_util_desktop_name_glob_list (const char *glob)
| Find all desktops where name matches a glob pattern. More...
Eina_List * | efreet_util_desktop_exec_glob_list (const char *glob)
| Find all desktops where exec matches a glob pattern. More...
Eina_List * | efreet_util_desktop_generic_name_glob_list (const char *glob)
| Find all desktops where generic name matches a glob pattern. More...
Eina_List * | efreet_util_desktop_comment_glob_list (const char *glob)
| Find all desktops where comment matches a glob pattern. More...
Eina_List * | efreet_util_desktop_categories_list (void)
| Find all desktop categories This list must be freed using EINA_LIST_FREE. More...
Eina_List * | efreet_util_desktop_category_list (const char *category)
| Find all desktops in a given category. More...
Eina_List * | efreet_util_menus_find (void)
| Returns a list of .menu files found in the various config dirs. More...
Eina_List * | efreet_util_desktop_environments_list (void)
| Find all known desktop environments This list must be freed using EINA_LIST_FREE. More...

## Detailed Description

Contains utility functions to ease usage of Efreet.

FDO desktop entry specificiation.